GRANT REFERENCES ON GRHUM.PAYS TO RECHERCHE;
GRANT REFERENCES ON GRHUM.RNE TO RECHERCHE;

-- ajout du pays ou l'étudiant a obtenu son diplome permettant l'acces à la thèse
ALTER TABLE RECHERCHE.DOCTORANT ADD (C_PAYS_DIPLOME_ORIGINE VARCHAR2(3) );
COMMENT ON COLUMN RECHERCHE.DOCTORANT.C_PAYS_DIPLOME_ORIGINE IS 'clé vers la table Pays indiquant le pays ou le diplome a été acquis';
ALTER TABLE RECHERCHE.DOCTORANT ADD CONSTRAINT DOCTORANT_PAYS_DIPLOME_ORI_FK FOREIGN KEY (C_PAYS_DIPLOME_ORIGINE)
  REFERENCES GRHUM.PAYS (C_PAYS) DEFERRABLE INITIALLY DEFERRED;

-- ajout de l'établissement francais ou l'étudiant à obtenu son diplome permettant l'acces à la thèse
ALTER TABLE RECHERCHE.DOCTORANT ADD (C_RNE_DIPLOME_ORIGINE VARCHAR2(8) );
COMMENT ON COLUMN RECHERCHE.DOCTORANT.C_RNE_DIPLOME_ORIGINE IS 'clé vers la table RNE indiquant l''etablissement francais ou le doctorant a eu son diplome permettant la these';
ALTER TABLE RECHERCHE.DOCTORANT ADD CONSTRAINT DOCTORANT_ETAB_DIPLOME_ORI_FK FOREIGN KEY (C_RNE_DIPLOME_ORIGINE)
  REFERENCES GRHUM.RNE (C_RNE) DEFERRABLE INITIALLY DEFERRED;

-- ajout d'une date et d'un avis de la commission pour l'acces à la thèse
ALTER TABLE RECHERCHE.DOCTORANT ADD (DATE_COMMISSION DATE );
ALTER TABLE RECHERCHE.DOCTORANT ADD (AVIS_COMMISSION VARCHAR2(100) );
COMMENT ON COLUMN RECHERCHE.DOCTORANT.DATE_COMMISSION IS 'Date de la commission';
COMMENT ON COLUMN RECHERCHE.DOCTORANT.AVIS_COMMISSION IS 'Avis de la commission';
